# Contact Mutation

### **Mutation Types**

{% hint style="info" %}
Mutations are responsible to insert or update a specific register, the operation insert or update is defined by **everreal`Id`**, in case this contact you could use to delete contact.&#x20;
{% endhint %}

```graphql
type Mutation {
    removeContact(id: String): AsyncEventResponse
}

type AsyncEventResponse {
  statusCode: Int
  message: String
}
```

Here are details on the capabilities of different mutations

* The `removeContact` mutation is used to delete a contact from Everreal system and contact will no longer be available in Everreal. To delete contact, you should pass `everrealUUID` which can be acquired from tenants endpoint.([reference](/endpoints/tenants/tenant-mutation.md) to delete tenant)

Below we are providing a full example how to delete

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation {
  removeContact(
    id: <everreal_uuid>
  )
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.everreal.co/endpoints/contacts/contact-mutation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
